const DEFAULT_CARDS: string[] = [
  '', //
  'Abandon normal instruments', //
  'Accept advice', //
  'Accretion', //
  'A line has two sides', //
  'Allow an easement (an easement is the abandonment of a stricture)', //
  'Always first steps', //
  'Always give yourself credit for having more than personality', //
  'Are there sections? Consider transitions', //
  'Ask people to work against their better judgement', //
  'Ask your body', //
  'Assemble some of the instruments in a group and treat the group', //
  'Balance the consistency principle with the inconsistency principle', //
  'Be extravagant', //
  'Be less critical more often', //
  'Breathe more deeply', //
  'Bridges\n-build\n-burn', //
  'Cascades', //
  'Change instrument roles', //
  'Change nothing and continue with immaculate consistency', //
  "Children's voices\n-speaking\n-singing", //
  'Cluster analysis', //
  'Consider different fading systems', //
  'Consult other sources', //
  'Convert a melodic element into a rhythmic element', //
  'Courage!', //
  'Cut a vital connection',
  'Decorate, decorate', //
  "Define an area as 'safe' and use it as an anchor", //
  'Destroy\n-nothing\n-the most important thing', //
  'Discard an axiom', //
  'Disconnect from desire', //
  'Disciplined self-indulgence', //
  'Discover the recipes you are using and abandon them', //
  'Distorting time', //
  'Do nothing for as long as possible', //
  "Don't be afraid of things because they're easy to do", //
  "Don't be frightened of clichés", //
  "Don't be frightened to display your talents", //
  "Don't break the silence", //
  "Don't stress one thing more than another", //
  'Do something boring', //
  'Do the washing up', //
  'Do the words need changing?', //
  'Do we need holes?', //
  'Emphasize differences', //
  'Emphasize repetitions', //
  'Emphasize the flaws', //
  'Faced with a choice, do both', //
  'Feedback recordings into an acoustic situation', //
  'Fill every beat with something', //
  'From nothing to more than nothing', //
  'Get your neck massaged', //
  'Ghost echoes', //
  'Give the game away', //
  'Give way to your worst impulse', //
  'Go outside. Shut the door.', //
  'Go slowly all the way round the outside', //
  'Go to an extreme, move back to a more comfortable place', //
  'Honor thy error as a hidden intention', //
  'How would you have done it?', //
  'Humanize something free of error', //
  'Idiot glee', //
  'Imagine the music as a moving chain or caterpillar', //
  'Imagine the music as a set of disconnected events', //
  'Imagine the piece as a set of disconnected events', //
  'Infinitesimal gradations', //
  'Intentions\n-credibility of\n-nobility of\n-humility of', //
  'Into the impossible', //
  'Is it finished?', //
  'Is there something missing?', //
  'Is the tuning appropriate?', //
  'It is quite possible (after all)', //
  'Just carry on', //
  'Left channel, right channel, centre channel',
  'Listen in total darkness, or in a very large room, very quietly', //
  'Listen to the quiet voice', //
  'Look at a very small object, look at its centre', //
  'Look at the order in which you do things', //
  'Look closely at the most embarrassing details and amplify them', //
  'Lowest common denominator check\n-single beat\n-single note\n-single riff', //
  'Make a blank valuable by putting it in an exquisite frame', //
  'Make an exhaustive list of everything you might do and do the last thing on the list', //
  'Make a sudden, destructive unpredictable action; incorporate', //
  'Mechanicalize something idiosyncratic', //
  'Mute and continue', //
  'Once the search is in progress, something will be found', //
  'Only a part, not the whole', //
  'Only one element of each kind', //
  '(Organic) machinery', //
  'Overtly resist change', //
  'Not building a wall but making a brick', //
  'Put in earplugs', //
  'Question the heroic approach', //
  'Remember those quiet evenings', //
  'Remove ambiguities and convert to specifics', //
  'Remove specifics and convert to ambiguities', //
  'Repetition is a form of change', //
  'Retrace your steps', //
  'Revaluation (a warm feeling)', //
  'Reverse', //
  'Short circuit (example: a man eating peas with the idea that they will improve his virility shovels them straight into his lap)', //
  'Shut the door and listen from outside', //
  'Simple subtraction', //
  'Simply a matter or work', //
  'Spectrum analysis', //
  'State the problem in words as clearly as possible', //
  'Take a break', //
  'Take away the elements in order of apparent non-importance', //
  'Tape your mouth', //
  'The inconsistency principle', //
  'The most important thing is the thing most easily forgotten', //
  'The tape is now the music', //
  'Think of the radio', //
  'Tidy up', //
  'Towards the insignificant', //
  'Trust in the you of now', //
  'Turn it upside down', //
  'Twist the spine', //
  'Use an old idea', //
  'Use an unacceptable color', //
  'Use fewer notes', //
  'Use filters', //
  'Use unqualified people', //
  'Water', //
  'What are you really thinking about just now? Incorporate', //
  'What is the reality of the situation?', //
  'What mistakes did you make last time?', //
  'What would your closest friend do?', //
  "What wouldn't you do?", //
  'Work at a different speed', //
  'Would anybody want it?', //
  'You are an engineer', //
  'You can only make one dot at a time', //
  "You don't have to be ashamed of using your own ideas", //
];

export const getDefaultCards = (): string[] => DEFAULT_CARDS;

export const generate = (cards = getDefaultCards()): string => (
  cards[Math.floor(Math.random() * cards.length)]
);
